
* {
    margin: 0;
    padding: 0;
}

span.button {
    display: inline-block;
    margin: 2px 4px;
    padding: 4px 8px;
    border: 1px solid #999;
    border-radius: 3px;
    font-size: 14px;
    line-height: 14px;
    color: #000;
    background: #fff;
    cursor: pointer;
    user-select: none;
    transition: all linear .2s 0s;
}

.button:hover {
    border-color: #666;
    color: #000;
    box-shadow: 2px 2px 2px #999;
}

.button.selected {
    border-color: #000 !important;
    color: #000 !important;
    background: #fff !important;
    cursor: default !important;
    box-shadow: 2px 2px 2px #666 !important;
}

.button.invert {
    border-color: #ccc !important;
    color: #fff !important;
    background: #333 !important;
    box-shadow: 2px 2px 2px #ccc !important;
}

.button.disabled {
    border-color: #999 !important;
    color: #666 !important;
    background: #ddd !important;
    cursor: default !important;
    box-shadow: 0 0 0 !important;
}

canvas.renderer {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
}

.toolbar {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    margin: 20px;
    width: 30%;
    min-width: 200px;
    max-width: 350px;
    padding: 12px;
    border-radius: 3px;
    background: rgba(255, 255, 255, 0.7);
    z-index: 10000;
}

.toolbar .header div {
    margin-bottom: 4px;
}

.info {
    font-size: 16px;
    padding: 2px 6px;
    color: #000;
    user-select: none;
}

.info.debug {
    font-size: 14px;
}

.debug-info-title {
    font-weight: bold;
}

.debug-info-sep {
    margin: 3px 0;
    height: 1px;
    background: #666;
}
